Bug 1249522 - FTBFS on non-x86 64-bit arches
FTBFS on non-x86 64-bit arches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: secilc (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker ARM64/F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le/PPC64LETracker
  Show dependency treegraph
 
Reported: 2015-08-03 05:06 EDT by Dan Horák
Modified: 2015-09-25 03:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: secilc-2.4-6.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-25 03:58:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec change (990 bytes, patch)
2015-09-01 14:05 EDT, Marcin Juszkiewicz
no flags Details | Diff

  None (edit)
Description Dan Horák 2015-08-03 05:06:08 EDT
build on non-x86 64-bit arches fails with
...
cc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10 -O2 -I./include -I/usr/include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -c -o src/cil_lexer.o src/cil_lexer.c
ar rcs src/libcil.a src/cil_policy.o src/cil_tree.o src/cil_resolve_ast.o src/cil_stack.o src/cil_fqn.o src/cil_reset_ast.o src/cil_binary.o src/cil_build_ast.o src/cil_log.o src/cil_list.o src/cil_strpool.o src/cil_copy_ast.o src/cil_verify.o src/cil.o src/cil_parser.o src/cil_post.o src/cil_symtab.o src/cil_mem.o src/cil_lexer.o
ranlib src/libcil.a
cc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10 -O2 -I./include -I/usr/include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -o secilc secilc.o src/libcil.a ./src/libcil.a /usr/lib/libsepol.a 
cc: error: /usr/lib/libsepol.a: No such file or directory
Makefile:73: recipe for target 'secilc' failed
make: *** [secilc] Error 1

because the makefile treats only x86_64 as 64-bit arch that uses /usr/lib64, see cil/Makefile for details

for complete build logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1926350 or http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2687594

Version-Release number of selected component (if applicable):
secilc-2.4-5.fc23
Comment 1 Marcin Juszkiewicz 2015-09-01 14:05:49 EDT
Created attachment 1069094 [details]
spec change
Comment 2 Fedora Update System 2015-09-01 15:28:39 EDT
secilc-2.4-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14810
Comment 3 Fedora Update System 2015-09-03 05:53:16 EDT
secilc-2.4-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update secilc'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14810
Comment 4 Fedora Update System 2015-09-25 03:58:40 EDT
secilc-2.4-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.